pfsense não atualiza (Resolvido)



  • Olá, tenho um problema no meu pfsense, ele não estar mais atualizando, nem instalando os pacotes.
    Ao tentar atualizar pelo CLI me retornar este erro.

    0_1540902290023_55295cba-b4fb-431a-a0e9-777178642ce1-image.png

    O que pode ser?
    Grato pela atenção.



  • Boa tarde,

    Tira uma dúvida, qual é a versão atual que seu pfSense está?

    Se esta na ultima versão recomendo verificar se ele esta navegando pela console, um simples ping para "google.com" já identifica e alterar em General Setup os DNS externos os do Google (8.8.8.8 e 8.8.4.4).

    Se estiver uma versão abaixo da ultima (2.4.4) você não irá conseguir atualizar ou instalar pacotes até que atualize sua versão de SO.

    Qualquer coisa me avisa.



  • @felipemarques Obrigado por responder.

    Então, ao tentar pingar pela console me apresenta este outro erro.
    0_1540933366392_733d2934-1817-4766-b1cb-c00fb66e0179-image.png

    Estou usando a última versão 2.4.4



  • E pela interface Web consegue pingar (Diagnostics -> Ping)? Você está navegando normal na internet?



  • @obmor Pela interface não consigo também.
    Mas estou navegando normalmente na internet.

    0_1540983684510_fa2344a0-779a-4346-9c9f-37af34eff893-image.png



  • Não sei se pode ajudar em algo, mas segue prints para você comparar.

    Um detalhe só nas regras da WAN é que as regras de bloqueio são as padrões (que é marcando as duas caixas no final da página da configuração da interface) as demais regras permitindo são NAT's (redirecionamentos).

    0_1540989096722_Sem título.png

    0_1540989178153_Sem título3.png

    0_1540989186557_Sem título2.png



  • Certamente vai ser a configuração de resolução de DNS em sua configuração General Setup conforme nosso amigo informou acima.

    O que pode fazer a mais é colocar o endereço 8.8.8.8 como DNS principal e direcionar para uma Interface de WAN especifica para forçar a resolução.



  • Acredito que o problema não seja DNS, pois esse problema ocorreu depois que atualizei o pfsense para esta nova versão 2.4.4
    Estranho que toda a rede navega, menos o próprio pfsense.
    Já revisei todas as regras e estão todas ok.
    Assim que atualizou não consigo instalar pacotes, nem pela interface nem pelo terminal, pois apresenta o erro na imagem acima.

    0_1540999346997_4368e0b3-e5b8-4813-a273-053455f5eef1-image.png



  • Tenta acrescentar os demais DNS. Porque você colocou o primário do Google e colocou o secundário do cloudflare. Não sei se pode influenciar em algo.

    Primário: 8.8.8.8
    Secundário: 8.8.4.4
    Primário: 1.1.1.1
    Secundário: 1.0.0.1

    Tentou deixar liberado as portas 80 e 443 caso não estejam, apenas para ver se ocorre a atualização?

    Tem gateway configurado na interface wan? (não sei se tem lógica a pergunta)



  • Senhores, obrigado pela ajuda. Conseguir resolver mudando o default gateway.
    Após mudado, normalizou.

    Grato a todos.



  • Show!!

    Que bom que deu certo =D

    Só para ficar mais claro para quem for ler este tópico futuramente, era lá na interface Wan mesmo que fez a alteração ou foi em System Routing Gateways? Não tinha nenhum definido?

    Não esqueça de editar o título do tópico pra resolvido ^^



  • @obmor Em System/Routing/Gateways o Default gateway IPv4 estava como failover, alterei apenas para automatic e voltou a funcionar.